Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn.policy
Class RoleAdminPermission

`java.lang.Object
java.security.Permission
oracle.security.jazn.policy.RoleAdminPermission`

All Implemented Interfaces:
  java.security.Guard, java.io.Serializable

public class RoleAdminPermission
extends java.security.Permission

The grantee of this permission is granted the right to further grant/revoke the target role

See Also:
  Serialized Form

Constructor Summary
`RoleAdminPermission(RealmRole r)` Creates a new RoleAdminPermission instance.
`RoleAdminPermission(java.lang.String name)` Creates a new RoleAdminPermission instance.
`RoleAdminPermission(java.lang.String name, java.lang.String actions)` Creates a new RoleAdminPermission instance.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getActions()`
`RealmRole` | `getRole()` Returns the role associated with this permission.
`int` | `hashCode()`
`boolean` | `implies(java.security.Permission p)`

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleAdminPermission

    public RoleAdminPermission(java.lang.String name)

  Creates a new RoleAdminPermission instance. The name of the role should be specified in the form: <realm name>/<rolename>.
  An input "*" to the rolename will match any roles in the system.
  An input "<realm name>/*" will match any roles in the specified realm.
Parameters:
  `name` - The name of the role whose admin option is to be granted.

### RoleAdminPermission

    public RoleAdminPermission(java.lang.String name,
                               java.lang.String actions)

  Creates a new RoleAdminPermission instance. The name of the role should be specified in the form: <realm name>/<rolename>.
  An input "*" to the rolename will match any roles in the system.
  An input "<realm name>/*" will match any roles in the specified realm.
Parameters:
  `name` - The name of the role whose admin option is to be granted.
  `actions` - The action string. This argument is ignored.

### RoleAdminPermission

    public RoleAdminPermission(RealmRole r)

  Creates a new RoleAdminPermission instance.
Parameters:
  `r` - the role whose admin option is to be granted.

Method Detail

### getRole

    public RealmRole getRole()
                      throws JAZNException

  Returns the role associated with this permission.
  Returns:
    the role associated with this permission. throws JAZNException
  Throws:
    `JAZNException`

### implies

    public boolean implies(java.security.Permission p)

### getActions

    public java.lang.String getActions()

### hashCode

    public int hashCode()

### equals

    public boolean equals(java.lang.Object o)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server JAAS Provider API Reference 10g Release 3 (10.1.3) B25710-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All rights reserved.